ENVISAT Product Reader API for C |

Functions
Error Handling

## Functions

void | epr_set_err_handler (EPR_FErrHandler err_handler)
| Sets the error handler for the ENVISAT API.
EPR_EErrCode | epr_get_last_err_code (void)
| Gets the error code of the error that occured during the last API function call.
const char * | epr_get_last_err_message (void)
| Gets the error message of the error that occured during the last API function call.
void | epr_clear_err (void)
| Clears the last error.

## Detailed Description

## Function Documentation

## ◆ epr_set_err_handler()

void epr_set_err_handler | ( | EPR_FErrHandler | err_handler | ) |

Sets the error handler for the ENVISAT API.

Parameters

  err_handler | the new error handler (function pointer), can be NULL, if errors shall not be reported

## ◆ epr_get_last_err_code()

EPR_EErrCode epr_get_last_err_code | ( | void |  | ) |

Gets the error code of the error that occured during the last API function call.

Returns
  the error code, `e_err_none` or zero if no error occured

## ◆ epr_get_last_err_message()

const char * epr_get_last_err_message | ( | void |  | ) |

Gets the error message of the error that occured during the last API function call.

Returns
  the error message, `NULL` if no error occured

## ◆ epr_clear_err()

void epr_clear_err | ( | void |  | ) |

Clears the last error.

After calling this function, calling `epr_get_last_err_code` returns `e_err_none` or zero and `epr_get_last_err_message` returns `NULL`.